<main [@animate]="{ value: '*', params: { y: '50px', delay: '400ms' } }">
  <div class="row h-100">
    <div class="col-5 h-100" id="loginImage">      
    </div>

    <div class="col pl-0">

      <video playsinline="true" style="position: absolute; bottom: 0px; opacity: 0.1;"
      oncanplay="this.play()" 
      onloadedmetadata="this.muted = true" 
      muted="true" loop="true" 
      poster="https://static.massimodutti.net/3/cms/assets/uploads/nuevoY_4.jpg?imwidth=1100">
        <source src="https://static.massimodutti.net/3/cms/assets/uploads/nuevoWomanY_2.mp4"></video>

      <div class="d-flex flex-column justify-content-center h-100">
        <div class="row" id="logo-area">
          <div class="col d-flex justify-content-center">
            <div id="logo">
            </div>
          </div>
        </div>
        <div class="row d-flex justify-content-center mt-4">

          <div class="col-xs-6 col-md-5 col-sm-8">

            <form [formGroup]="loginForm">
              <div class="row">

                <div class="col-md-12">
                  <mat-form-field class="w-100" appearance="outline">
                    <mat-label>User</mat-label>
                    <input matInput placeholder="User" formControlName="userName">
                  </mat-form-field>
                </div>
              </div>

              <div class="row">

                <div class="col-md-12">
                  <mat-form-field class="w-100" appearance="outline">
                    <mat-label>Password</mat-label>
                    <input matInput placeholder="Password" formControlName="password" type="password">
                  </mat-form-field>
                </div>
              </div>

              <mat-error *ngIf="loginForm.hasError('wrong-credentials')"
                [@animate]="{ value: '*', params: { x: '50px', delay: '100ms' } }">
                * User or Password are <strong> Wrong </strong>
              </mat-error>

              <div class="row">

                <div class="col-md-12">
                  <div class="d-flex justify-content-center mt-5">
                    <button (click)="login()" class="ml-2 btn__secondary"
                      [disabled]="loginForm.invalid">Login</button>

                    <button (click)="goToSignUp()" class="ml-2 btn__primary">Register</button>
                  </div>
                </div>

              </div>

            </form>

          </div>

        </div>

      </div>

    </div>

  </div>
</main>